Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:52 2009

## Asterisk developer's documentation

# skinny_device Struct Reference

Collaboration diagram for skinny_device:

[legend]

## Data Fields

struct sockaddr_in | addr
struct ast_ha * | ha
char | id [16]
struct skinny_line * | lines
char | model [6]
char | name [80]
struct skinny_device * | next
struct in_addr | ourip
int | registered
struct skinnysession * | session
int | type
char | version_id [16]

## Detailed Description

Definition at line 866 of file chan_skinny.c.

## Field Documentation

struct sockaddr_in addr`[read]`

Definition at line 874 of file chan_skinny.c.

Referenced by build_device(), and skinny_show_devices().

struct ast_ha* ha`[read]`

Definition at line 877 of file chan_skinny.c.

Referenced by build_device(), and skinny_register().

char id[16]

Definition at line 869 of file chan_skinny.c.

Referenced by build_device(), skinny_register(), and skinny_show_devices().

struct skinny_line* lines`[read]`

Definition at line 876 of file chan_skinny.c.

Referenced by build_device(), delete_devices(), do_housekeeping(), find_subchannel_by_name(), handle_message(), skinny_show_devices(), skinny_show_lines(), and transmit_connect().

char model[6]

Definition at line 873 of file chan_skinny.c.

Referenced by build_device(), handle_message(), and skinny_show_devices().

char name[80]

Definition at line 868 of file chan_skinny.c.

Referenced by build_device(), do_housekeeping(), find_subchannel_by_name(), handle_message(), reload_config(), skinny_answer(), skinny_hangup(), skinny_new(), skinny_show_devices(), skinny_show_lines(), and skinny_ss().

struct skinny_device* next`[read]`

Definition at line 879 of file chan_skinny.c.

Referenced by delete_devices(), find_subchannel_by_name(), reload_config(), skinny_register(), skinny_show_devices(), and skinny_show_lines().

struct in_addr ourip`[read]`

Definition at line 875 of file chan_skinny.c.

Referenced by build_device(), and handle_message().

int registered

Definition at line 872 of file chan_skinny.c.

Referenced by skinny_call(), skinny_hangup(), skinny_register(), and skinny_show_devices().

struct skinnysession* session`[read]`

Definition at line 878 of file chan_skinny.c.

Referenced by skinny_answer(), skinny_call(), skinny_hangup(), skinny_indicate(), skinny_register(), skinny_senddigit(), skinny_ss(), and start_rtp().

int type

Definition at line 871 of file chan_skinny.c.

Referenced by skinny_register(), and skinny_show_devices().

char version_id[16]

Definition at line 870 of file chan_skinny.c.

Referenced by build_device(), handle_message(), and skinny_register().

The documentation for this struct was generated from the following file:

- chan_skinny.c